/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.fragment.signup;


import android.view.View;
import android.widget.TextView;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.view.presenter.signup.SignUpItem;
import kr.co.zumo.app.lifeplus.bean.TextBean;

/**
 * TextViewHolder - 회원 가입 화면에 텍스트 표시를 하는 클래스
 * <pre>
 * </pre>
 *
 * @author 하세미
 * @version 1.0
 * @history 하세미   [2018-09-11]   [최초 작성]
 * @since 2018-09-11
 */
public class TextViewHolder extends BaseViewHolder {

  public TextViewHolder(View itemView) {
    super(itemView);
  }

  @Override
  void draw(SignUpItem item) {
    TextBean bean = item.getBean(TextBean.class);
    String text = bean.getText();

    ((TextView) itemView.findViewById(R.id.sign_up_text_view)).setText(text);
  }

  @Override
  public void setDisabled() {

  }

  @Override
  public void setEnabled() {

  }
}